# Uses of Enum
org.apache.sling.feature.extension.apiregions.api.DeprecationValidationMode

Packages that use DeprecationValidationMode
Package
Description
org.apache.sling.feature.extension.apiregions.api

## Uses of DeprecationValidationMode in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return DeprecationValidationMode
Modifier and Type
Method
Description
`DeprecationValidationMode`
DeprecationInfo.`getMode()`
Get the optional validation mode.
`static DeprecationValidationMode`
DeprecationValidationMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DeprecationValidationMode[]`
DeprecationValidationMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.feature.extension.apiregions.api with parameters of type DeprecationValidationMode
Modifier and Type
Method
Description
`void`
DeprecationInfo.`setMode(DeprecationValidationMode value)`
Set the validation mode.